# `bool`  - Data-Type Reference

> Boolean (primitive)

## Description

A true or false value.

## Supported Hooks

* `Marshal()`
    Supported
* `Unmarshal()`
    Supported

## See Also

* [`Marshal()` (type)](../apis/Marshal.md):
  Converts structured memory into a structured file format (eg for stdio)
* [`Unmarshal()` (type)](../apis/Unmarshal.md):
  Converts a structured file format into structured memory
* [`num` (number)](../types/num.md):
  Floating point number (primitive)
* [`str` (string) ](../types/str.md):
  string (primitive)